# BSpyConvert
Library for converting [BSpy](https://pypi.org/project/bspy/) splines and solid models to and from [OpenCascade (OCCT)](https://dev.opencascade.org/) equivalents and a variety of geometry and CAD file formats.

The [convert](https://ericbrec.github.io/BSpyConvert/BSpyConvert/convert.html) module has low-level functions to convert [BSpy](https://pypi.org/project/bspy/) splines and solid models to and from [OpenCascade (OCCT)](https://dev.opencascade.org/) equivalents.

The [importer](https://ericbrec.github.io/BSpyConvert/BSpyConvert/importer.html) module has high-level functions to import [BSpy](https://pypi.org/project/bspy/) splines and solid models from a variety of geometry and CAD file formats, specifically STEP and IGES.

The [exporter](https://ericbrec.github.io/BSpyConvert/BSpyConvert/exporter.html) module has high-level functions to export [BSpy](https://pypi.org/project/bspy/) splines and solid models to a variety of geometry and CAD file formats, specifically STEP, IGES, and STL.

BSpyConvert depends on the [PythonOCC](https://dev.opencascade.org/project/pythonocc) conda package. It can be installed with [conda](https://docs.conda.io/en/latest/), which is commonly acquired from [Anaconda](https://www.anaconda.com/). Details about PythonOCC, including installation instructions, can be found [here](https://github.com/tpaviot/pythonocc-core).

The full documentation for BSpyConvert can be found [here](https://ericbrec.github.io/BSpyConvert), its GitHub project can be found 
[here](https://github.com/ericbrec/BSpyConvert), <!-- a test suite can be found [here](https://github.com/ericbrec/BSpy/tree/main/tests), --> and
a set of examples can be found [here](https://github.com/ericbrec/BSpyConvert/tree/main/examples).